;
;  JMicron JMB38X Driver Setup Ini File
;

[Startup]
; Product Specific Setup Package GUID
ProductGUID={26604C7E-A313-4D12-867F-7C6E7820BE4C}

[Install_Setting]
;Customize INF file name
InfName=jmcr_jm.inf

; If SupportDriverPreInstall = 1, indicate that setup package "support driver preinstall". Otherwise, indicate NOT support.
; Notice: If Device has in-box driver, PreInstall would not work as expected with non-WHQL driver.
SupportDriverPreInstall=1

;  If RebootNotRequiredAfterSetupDriver = 1, indicate that "Reboot is NOT required after driver setup". Otherwise, reboot is required.
RebootNotRequiredAfterSetupDriver=1

; If RescanAfterUninstall=1, setup program will Notify OS to Rescan Device after uninstall succeed.
RescanAfterUninstall=1

; If RemoveAllDriverFromDriverStore =1, setup program would Remove all installed inf of the same inf name during uninstall
RemoveAllDriverFromDriverStore=1

; If RemoveInstalledPackageFirst=1, setup program would request to remove installed version before installation.
; Otherwise, setup program would overwrite registry and files of installed version.
RemoveInstalledPackageFirst=0

; if WaitDiskDriverInstall=1, indicate that the driver and setup program will wait until Disk driver is installed ready
WaitDiskDriverInstall=0

;  CustomizedSettingCount indicate "the total number of CustomizedSetting".
CustomizedSettingCount=21

; [CustomizedSettings Definition]
;  CustomizedSetting1:  Customized Setting Flag. Bit Defintion would be appened later
;  CustomizedSetting2:  LED Pulse Width. DWord value.
;  CustomizedSetting3:  SD/MMC Slot A Pull-High/Pull-Low Setting
;  CustomizedSetting4:  SD/MMC Slot B Pull-High/Pull-Low Setting
;  CustomizedSetting5:  MS Slot A Pull-High/Pull-Low Setting
;  CustomizedSetting6:  MS Slot B Pull-High/Pull-Low Setting
;  CustomizedSetting7:  XD Pull-High/Pull-Low Setting
;  CustomizedSetting8:  SD/MMC Timing Delay Setting
;  CustomizedSetting9:  MS Timing Delay Setting
;  CustomizedSetting10: IC Driving Setting
;  CustomizedSetting11: D3E Waiting Minutes (Max 65535)
;  CustomizedSetting12: Wait Disk Driver Ready Time
;  CustomizedSetting13: SD/MMC Timing Delay Setting for 388/389
;  CustomizedSetting14: MS Timing Delay Setting for 388/389
;  CustomizedSetting15: Default IC Driving Setting for SD/MMC/MS of 388/389
;  CustomizedSetting16: IC Driving Setting for MSProHG 8-bit Mode on 388/389
;  CustomizedSetting17: Default IC Driving Setting for xD of 388/389
;  CustomizedSetting20: Default IC Driving Setting for xD of 385/380
;  CustomizedSetting21: Customized Setting Flag 2

; [CustomizedSetting1 Bit Definition]
;  Bit[ 1] (0x00000002): Set JMicron Disk Drive Icons
;  Bit[ 4] (0x00000010): Enhance xD Write Performance
;  Bit[ 5] (0x00000020): Support D3E // Need BIOS Supporting
;  Bit[11] (0x00000800): Report All Disk to install disk driver when install JM 38X driver
;  Bit[14] (0x00004000): Do not modify the Controller Capabilities Reported by BIOS
;  Bit[31] (0x80000000): Set LED always on when Card Plugged

CustomizedSetting1=0x02101032
CustomizedSetting2=0x4000
CustomizedSetting3=0x50800F1F
CustomizedSetting4=0x00000F1F
CustomizedSetting5=0x5f8f0000
CustomizedSetting6=0x0f0f0000
CustomizedSetting7=0x4F8F1030
CustomizedSetting8=0x000337a3
CustomizedSetting9=0x00004000
CustomizedSetting10=0x01020101
CustomizedSetting11=0x00000005
CustomizedSetting12=0x0000000F
CustomizedSetting13=0x03333aa3
CustomizedSetting14=0x00BA4000
CustomizedSetting15=0x03043333
CustomizedSetting16=0x03073333
CustomizedSetting17=0x04053333
CustomizedSetting18=0x00000014
CustomizedSetting19=0x00000100
CustomizedSetting20=0x01020101
CustomizedSetting21=0x00002001
